#ifndef HEADER_LCD_DRAW_H
#define HEADER_LCD_DRAW_H
#ifdef __cplusplus
extern "C" {
#endif
//============================================================================
extern uint8_t framebuffer[32][18];
//----------------------------------------------------------------------------
void Fill_Screen(uint8_t fill_data);
void put_letter(uint8_t x, uint8_t y, uint8_t letter);
void put_string_P(uint8_t x, uint8_t y, uint8_t Field_Width,const char *input);
void put_string(uint8_t x, uint8_t y, uint8_t Field_Width, char *input);
void horizontal_line(uint8_t x1, uint8_t y, uint8_t x2);
void vertical_line(uint8_t x, uint8_t y1, uint8_t y2);
void outline_rectangle(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2);
void clear_rectangle(uint8_t x1,uint8_t y1,uint8_t x2,uint8_t y2);
void put_big_number(uint8_t x, uint8_t y, uint8_t Field_Width, char *input);
void Draw_Bitmap(uint8_t x,
                 uint8_t y,
                 uint8_t x_size,
                 uint8_t y_size,
                 const uint8_t *Bitmap_Base_Pointer);
void dec_3_to_string(uint8_t input, char *output);
//============================================================================
#ifdef __cplusplus
}
#endif
#endif  //  HEADER_LCD_DRAW_H

