//============================================================================
// 23 x 21 Crystaflontz logo using horizontally orientated bytes.
// Set define below for MSB to the LEFT or MSB to the RIGHT.
// Written by Brent A. Crosby, Crystalfontz America, Inc.
// http://www.crystalfontz.com
//===========================================================================
//This is free and unencumbered software released into the public domain.
//
//Anyone is free to copy, modify, publish, use, compile, sell, or
//distribute this software, either in source code form or as a compiled
//binary, for any purpose, commercial or non-commercial, and by any
//means.
//
//In jurisdictions that recognize copyright laws, the author or authors
//of this software dedicate any and all copyright interest in the
//software to the public domain. We make this dedication for the benefit
//of the public at large and to the detriment of our heirs and
//successors. We intend this dedication to be an overt act of
//relinquishment in perpetuity of all present and future rights to this
//software under copyright law.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
//MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
//IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
//OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
//ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//OTHER DEALINGS IN THE SOFTWARE.
//
//For more information, please refer to <http://unlicense.org/>
//============================================================================
#include "Arduino.h"
#include "typedefs.h"
#include "CF_Logo.h"
#if 0 //MSB to LEFT
const uint8_t CF_Logo_23x21[21][3] PROGMEM =
  {{0x80,0xC1,0x00},
   {0xC0,0xE3,0x01},
   {0x60,0x36,0x03},
   {0x30,0x18,0x06},
   {0x38,0x1C,0x0E},
   {0x00,0x1C,0x00},
   {0xFF,0xDD,0x7F},
   {0xFF,0x1D,0x00},
   {0xFF,0xDD,0x7F},
   {0xFF,0x1D,0x00},
   {0xFF,0xDD,0x7F},
   {0xFF,0x1D,0x00},
   {0xFF,0xDD,0x7F},
   {0xFF,0x1D,0x00},
   {0xFF,0xDD,0x7F},
   {0x00,0x1C,0x00},
   {0x38,0x1C,0x0E},
   {0x30,0x18,0x06},
   {0x60,0x36,0x03},
   {0xC0,0xE3,0x01},
   {0x80,0xC1,0x00}};
#else //MSB to RIGHT
const uint8_t CF_Logo_23x21[21][3] PROGMEM =
  {{0x01,0x83,0x00},
   {0x03,0xC7,0x80},
   {0x06,0x6C,0xC0},
   {0x0C,0x18,0x60},
   {0x1C,0x38,0x70},
   {0x00,0x38,0x00},
   {0xFF,0xBB,0xFE},
   {0xFF,0xB8,0x00},
   {0xFF,0xBB,0xFE},
   {0xFF,0xB8,0x00},
   {0xFF,0xBB,0xFE},
   {0xFF,0xB8,0x00},
   {0xFF,0xBB,0xFE},
   {0xFF,0xB8,0x00},
   {0xFF,0xBB,0xFE},
   {0x00,0x38,0x00},
   {0x1C,0x38,0x70},
   {0x0C,0x18,0x60},
   {0x06,0x6C,0xC0},
   {0x03,0xC7,0x80},
   {0x01,0x83,0x00}};
#endif
//============================================================================
